> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/reel/docs/field-tags.md).

# Field Tags

When using the stand-alone fieldtype you have access to a variety of variables containing information about your video that you can use to create your own embed tag or just display extra information about the videos. These variables are:

* `{field_name}` This will give you the full iframe embed code.
* `{field_name:id}` This will give you just the id of the video.
* `{field_name:description}`
* `{field_name:duration}`
* `{field_name:width}` The width of the video as chosen in the publish entry page. *Note that the width value may be blank if it is not available in the YouTube or Vimeo response object.*
* `{field_name:height}` The height of the video as chosen in the publish entry page. *Note that the width value may be blank if it is not available in the YouTube or Vimeo response object.*
* `{field_name:author}` The author of the video, or user who posted the video.
* `{field_name:length}` The length of the video in seconds.
* `{field_name:published}`
* `{field_name:tag_list}`
* `{field_name:thumbnail_small}` A small thumbnail generated by the video service.
* `{field_name:thumbnail_medium}`
* `{field_name:thumbnail_large}`
* `{field_name:thumbnail_max}`
* `{field_name:title}`
* `{field_name:title_attr_safe}`
* `{field_name:type}`
* `{field_name:url}`

For best results and control over the display of the video on your site, use the {field\_name:id} variable and create your own embed tag in your templates, for example:&#x20;

```
<iframe src="https://www.youtube.com/embed/{field_name:id}?rel=0&wmode=opaque" border="0" width="800" height="600"></iframe>
```

## Low Variables Support

Reel supports Low Variables, but due to how Reel saves its data you must use the Low Variables parse tags. You can read about those tags from Low’s site.

Examples:

```
{exp:low_variables:parse var="lv_var_name"} 
```

Will return the entire embed tag for the video.

```
{exp:low_variables:parse var="lv_var_name" attribute="url"}
```

Will return just the URL for the video so you can embed it however you want. All the attributes listed above in the variables list are available. (The attributes are the values after the colon)

You can also access all the attributes individually through the pair tag.&#x20;

```
{exp:low_variables:pair var="lv_var_name"}
    {embed}
    {description}
    {url}
{/exp:low_variables:pair}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/reel/docs/field-tags.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
